# frozen_string_literal: true

require 'test_helper'

class ComparatorTest < Minitest::Test
  def test_similar
    assert PIIDetector::Comparator.similar?('first_name', 'first_name')
    assert PIIDetector::Comparator.similar?('first_name', 'first_nam')
    assert PIIDetector::Comparator.similar?('first_name', 'customer_first_name')
    assert PIIDetector::Comparator.similar?('first_name', 'first_name_of_customer')
    assert PIIDetector::Comparator.similar?('first_name', 'user_first_name_field')
  end

  def test_not_similar
    refute PIIDetector::Comparator.similar?('first_name', 'event')
    refute PIIDetector::Comparator.similar?('first_name', 'first')
    refute PIIDetector::Comparator.similar?('first_name', 'first_na')
    refute PIIDetector::Comparator.similar?('first_name', 'na')
  end
end
