# frozen_string_literal: true

require 'test_helper'

class HashTest < Minitest::Test
  def test_unique_keys_from_multilevel_hash
    test_hash = {
      a: {
        b: {
          c: 'c'
        }
      }
    }

    assert_equal ['a', 'b', 'c'], test_hash.unique_keys
  end

  def test_unique_keys_from_array_of_hashes
    test_hash = {
      a: [
        { b: 'b' },
        { c: 'c' }
      ]
    }

    assert_equal ['a', 'b', 'c'], test_hash.unique_keys
  end

  def test_unique_keys_from_json_string_value
    test_hash = {
      a: {
        b: "b"
      }.to_json
    }

    assert_equal ['a'], test_hash.unique_keys
  end
end
