# frozen_string_literal: true

require 'test_helper'

class PIIDetectorTest < Minitest::Test
  def test_retrieve_pii_keys_from_hash
    test_hash = {
      first_name: 'Dave',
      event: 'checkout'
    }
    assert_equal(['first_name'], PIIDetector.retrieve_pii_keys_from_hash(test_hash))
  end

  def test_pii_field
    assert PIIDetector.pii_field?('first_name')
    refute PIIDetector.pii_field?('event')
  end
end
